from sqlalchemy import URL
from sqlalchemy.ext.asyncio import create_async_engine, async_sessionmaker

from foxnouns.settings import DATABASE

ASYNC_DATABASE_URL = URL.create(
    "postgresql+asyncpg",
    username=DATABASE["USER"],
    password=DATABASE["PASSWORD"],
    host=DATABASE["HOST"],
    database=DATABASE["NAME"],
)

engine = create_async_engine(ASYNC_DATABASE_URL)
async_session = async_sessionmaker(engine, expire_on_commit=False)
